# This is a sample kickstart file.  The values here probably won't be what
# you want them to be for your install, and besides, they're all commented
# out, so use this as a *template* for your kickstart file.
#
# H O W   T O   S E T   U P   A   K I C K S T A R T   I N S T A L L
# 
# (Note: Kickstart installs are not available for Red Hat Linux/SPARC.)
#
# To begin a kickstart install, you must include the "ks" option on the Red
# Hat Linux boot diskette's boot command.  You can read the kickstart file
# from diskette by using the boot command "linux ks=floppy" (For Red Hat
# Linux/Intel only).  In this case, the kickstart file will be read from
# the diskette.  It must be called ks.cfg, and must reside in the
# diskette's root directory.
# 
# If you want to do a kickstart'ed NFS install, you must have a bootp
# server on your network, and it must have an entry for the machine you're
# installing.  The bootp server will be used to give the installing machine
# its network information.  It can also provide the location of the
# machine's kickstart file.  If this is done, an NFS mount on the kickstart
# file's path is attempted, and the file is copied from there.
# 
# The file, by default, is called <ip-addr>-kickstart, in which <ip-addr>
# is the machine's IP address in "dotted decimal" notation.
# 
# If the filename obtained from bootp ends with "/", it is interpreted as a
# path.  In this case, the default kickstart filename is used, relative to
# the given path.
#
# If the filename obtained from bootp doesn't end with "/", then it is
# interpreted as the name of the kickstart file, including the specified
# path.
# 
# If no filename is given, the default filename is used, and /kickstart/ is
# used as the path.
# 
# L A N G U A G E   S P E C I F I C A T I O N (Required for upgrade)
#
# You must specify a language to be used for every kickstart install.  To
# specify a language, simply use the two-letter ISO language code, such as
# "en" for English, "de" for German, "fr" for French, etc.
#
# Example:
#lang en
#
# N E T W O R K   C O N F I G U R A T I O N
#
# You may specify network configuration via one of three different methods:
#
# DHCP -- Use a dhcp server to obtain network configuration information.
# BOOTP -- Use a bootp server to obtain network configuration information.
# STATIC -- Use the network configuration information contained in the
# kickstart file itself.
#
# Example:
#network --bootproto dhcp
#
# For static network configuration, the following options are used:
#
# --ip <ipaddr> -- Specify the desired IP address.
# --netmask <mask> -- Specify the desired network mask.
# --gateway <gwaddr> -- Specify the desired gateway address.
# --nameserver <nsaddr> -- Specify the desired nameserver address.
#
# Example:
#network --bootproto static --ip 10.0.2.15 --netmask 255.255.255.0 --gateway 10.0.2.254 --nameserver 10.0.2.1
# (Obviously, you'll want to change the addresses and netmask...)
# (Note that this line may *not* be wrapped using the ol' backslash; it
# must be strung out as one long line.  And no, you can't specify more than
# one nameserver...)
#
# I N S T A L L A T I O N   M E T H O D (Required for upgrade)
#
# Kickstart installs can be performed using one of two methods:
#
# NFS -- Using an NFS server to obtain the distribution files.
# CDROM -- Using a CDROM to obtain the distribution files.
#
# For NFS installs, use the --server option to specify the NFS server.
# Note that it defaults to the server specified in the bootp response, or
# to the bootp server itself, if the bootp response doesn't specify a
# server.  The --dir option is used to point to the top-level directory
# containing the distribution files.
#
# Example:
#nfs --server porkchop.redhat.com --dir /mnt/test/i386
#
# For CDROM installs, just say, "cdrom".
#
# Example:
#cdrom
#
# For URL installs, give the url to the distribution files.  If
# you need to use a proxy server, use --proxy to specify the server and
# --proxyport to specify the port.
#
# Example:
#url --url http://porkchop.redhat.com/mnt/test/i386
#
# For Hard Drive installs, give the partition and directory that contains
# the distribution files.
#
# Example:
#
#harddrive --partition /dev/hda2 --dir /downloads/redhat
#
#
# D E V I C E   S P E C I F I C A T I O N  (Required for upgrade)
#
# In this section, you can specify any device information required.
# PCI cards can normally be autoprobed, so they don't need to be specified
# here.
#
# To specify a device, start with the "device" keyword, followed by the
# type of device:
#
# ethernet -- for ethernet cards.
# 
# scsi -- for scsi cards.
# 
# cdrom -- for non-scsi, non-ide cdrom cards (eg., sound cards with
# proprietary CDROM interfaces).
#
# Optional parameters that are required by a device can also be specified
# by using the --opts option.  Enclose the paratmeters in quotes after
# --opts.
#
# Note that you can specify multiple types of devices.  For example, if you
# know the machines you'll be kickstart-installing have either an Adaptec
# 1542 or a Buslogic card, you can enter both in the kickstart file.  But
# be aware that the install uses only the first card found, so order the
# device entries appropriately...
#
# Example:
#device ethernet 3c509 --opts "io=0x330, irq=7"
#
# K E Y M A P   S P E C I F I C A T I O N (Required for upgrade)
# 
# Next, specify the keymap to use with your keyboard.  The available keymap
# types are listed in the kbdconfig program.
#
# Example:
#keyboard us
#
# D E V I C E   C O N T R O L L E R S   -   N O P R O B E
#
# If you do not want your system device controllers to be automatically
# probed then you can issue the command:
#
#noprobe
#
# By configuring this command, your system will not probe for any device
# controllers, SCSI or otherwise. This is to be used only if you wish to
# manually specify the devices that are on your system.
#
#
# D E V I C E   C O N T R O L L E R S  -  --C O N T I N U E
#
# In order to load modules for more than 1 adapter
# type, (for example, two different SCSI adapters) you will need to add
# the command
#
#device --continue
#
# So, if you need to have modules for a Adaptec and a BusLogic adapter,
# then you will need to have both of these specified in the configuration 
# file and you will need to have --continue after the
# first one in the configuration file:
#
#device scsi aic7xxx --continue
#device scsi BusLogic
#
# However, if you have multiple adapters of the same type, then you
# will not need to be concerned with this line, as the single module
# insertion is enough to control all adapters of that type. For example,
# if you have three Adaptec adapters, then the single line
#
#device scsi aic7xxx
#
# will load and allow all three adapters to function.
#
#
# P A R T I T I O N   S P E C I F I C A T I O N
# 
# This is where you specify the partitions to be used in the install.
# There are several sections that we'll cover in order.
# 
# If you are doing a kickstart install on a new drive, the partition table
# will likely corrupt.  The zerombr command can be used to clear the
# partition table if it is corrupt; otherwise it will take no action.  In
# order to clear the partition table, follow the zerombr command with
# "yes"; if followed by "no", no action will be taken.
#
# Example:
#zerombr yes
#
# The clearpart command is used to control which partitions are to be wiped
# from all drives.  Follow the clearpart command with "--all" to remove all
# partitions from all drives, or "--linux" to remove all Linux-related
# partitions (ie., partitions of type "Linux native" and "Linux swap") from
# all drives.
#
# Example:
#clearpart --linux
# 
# Next, specify the partitions that you'd like to create.  Partitions are
# only created from free space available on the system.  Enter one
# partition per line using the following format:
#
# part <mntpt> --size <size in megs> [--grow] [--maxsize <size in megs>]
#
# Where <mntpt> is the desired mount point for the partition (or "swap" for
# swap partitions).  Add "--grow" to create a partition that will grow to
# fill all remaining space on the drive.  To limit the affect of --grow,
# you can add "--maxsize" followed by a size specification.
# 
# Examples:
#part / --size 250
#part swap --size 32
#part /usr --size 500 --grow --maxsize 800
#part /tmp --size 100 --grow
# 
# I N S T A L L / U P G R A D E   S P E C I F I C A T I O N (Required for upgrade)
# 
# Here we specify whether an install or an upgrade is to be performed.
# Enter "install" for a fresh install, and "upgrade" for an upgrade.
# 
# Note: If you are doing an upgrade, you only need to specify the following
# items in the kickstart file:
# 
# Installation method
# Device specification (if necessary)
# Keymap specification
# Install/upgrade specification (of course!)
# LILO configuration
#
# Example:
#install
#
# M O U S E   S P E C I F I C A T I O N
#
# Enter the type of mouse here.  Valid mouse types can be found by 
# running 'mouseconfig --help'.
# 
# The default device is correctly set for busmice.  /dev/cua0 is the
# default for serial mice, but can be overridden with the "--device"
# option.  Follow it with the device name; for example, "cua2".  If three
# button emulation is needed, specify "--emulthree"
#
# Example:
#mouse generic3ps/2
#
# T I M E Z O N E   S P E C I F I C A T I O N
#
# To specify the desired timezone, use the "timezone" command.  Run
# /usr/sbin/timeconfig to see all the valid timezone names.  If you
# computer's clock is set to GMT/UTC, add the --utc option.
#
# Example:
#timezone --utc US/Eastern
#
# X   W I N D O W   S Y S T E M   S P E C I F I C A T I O N
# 
# Next, it's necessary to enter information related to X.  In order to
# properly configure X, the installation program will need to know about
# your video card (or at least the X server it should use), and your
# monitor (or at least your monitor's specifications).
#
# Video card selection:
# 
# The installation program will normally find PCI video cards
# automatically.  However, you can specify the video card by adding the
# --card option, followed by the card type.  If you run Xconfigurator on a
# Red Hat Linux system, and use the --help option, you'll get a list of all
# valid card types.
# 
# Alternatively, you can enter the name of the X server to be used by
# adding the --server option, followed by the server type.  Again, run
# Xconfigurator --help to obtain a listing of all valid X servers.
#
# Monitor selection:
# 
# Next, you'll need to specify your monitor.  If no monitor information is
# specified, the installation program assumes it it capable of operation at
# 640x480@60hz.  Otherwise, use the --monitor option, followed by the
# monitor type.  Xconfigurator --help lists all valid monitor types.
#
# Alternatively, you can enter the monitor's horizontal and vertical synch
# rates using the --hsync and --vsync options.  Each is followed by the
# appropriate synch rate.  The rates may be single numbers (representing
# kilohertz and megahertz, as appropriate), groups of numbers separated by
# commas, or two numbers separated by a dash (signifying a range).  For
# example: --hsync "31.5,35.5,50-65" --vsync "50-70"
#
# Example:
#xconfig --server "Mach64" --monitor "tatung cm14uhe"
# 
# R O O T   P A S S W O R D
#
# This is where the root password for the freshly-installed system is
# specified.  Note that, for NFS kickstarts, this password goes over the
# network in the clear.  In that case, you can enter a pre-crypted password
# (ie, one suitable for inclusion in /etc/passwd without further editing)
# by using the --iscrypted option, followed by the crypted password.
#
#Example:
#rootpw RHkickedme
#
#
# A U T H E N T I C A T I O N    C O N F I G U R A T I O N
#
# The authconfig format for kickstart looks similiar to:
#
# auth --enablenis --nisdomain foo.redhat.com --nisserver
# server.foo.redhat.com [--useshadow] [--enablemd5]
#
# The commands in the square brackets are optional. If you choose
# to set them up, you do not need to use the brackets.
#
# You are able to change authconfig using these commands to set up
# the different password options:
#
#     --enablenis          enable nis by default
#     --nisdomain <domain> default NIS domain
#     --nisserver <server> default NIS server
#     --useshadow          use shadow passwords
#     --enablemd5          enable MD5 passwords
#
#
# L I L O   C O N F I G U R A T I O N (Required for upgrade)
#
# In this section you specify how LILO is to be configured.  By default,
# LILO will be installed in the master boot record, and will have no append
# line for kernel boot-time options.  You can modify this by using the
# --location option to specify where LILO should be installed, and by using
# the --append option to add an append line to /etc/lilo.conf.
#
# The --location option takes the following parameters:
#
# mbr -- Install LILO in the master boot record.
# 
# partition -- Install LILO in the first sector of the root partition.
# 
# none -- Do not install LILO (meaning you'd better have another way of
# booting this system!
#
# (Note: There is no equivalent to this command on the Alpha.)
# Example:
#lilo --append "mem=128M" --location mbr
#
# P A C K A G E   S P E C I F I C A T I O N
#
# In this section you can select the components and packages that are to be
# installed.  This section must be started with a line containing
# "%packages".  Component and/or package names then follow.  Components are
# preceded by "@ " (NOTE THE SPACE!), and packages appear as-is.
#
# To get a list of components and packages, refer to the file
# RedHat/base/comps on the CD.  The components in the file are preceded by
# a number and a space, while the packages have no preceding characters.
# 
# Example:
#%packages
#@ Networked Workstation
#@ C Development
#@ Web Server
#@ X Window System
#bsd-games
#
# New for 5.2 and later releases is the option to specify "Server" 
# or "Workstation".  This installs the same package set as the 
# normal mode install for those two options. 
# 
# An example would be:
# 
# %packages
# @ Workstation
# 
#
# P O S T - I N S T A L L A T I O N   C O M M A N D S
#
# This section must be the last in the kickstart file.  It can contain
# commands to be executed when the installation has completed.  This
# section must be started with a line containing "%post".  Any lines after
# this one will be executed as commands.
#
# You can access the network in a %post if it was previously configured,
# but you don't have access to nameservice.  So use IP addresses only.
#
# Example:
#%post
#echo "Kickstart-installed Red Hat Linux `/bin/date`" > /etc/motd
